Vulnerability CVE-2022-35408


Published: 2022-09-22

Description:
An issue was discovered in Insyde InsydeH2O with kernel 5.0 through 5.5. An SMM callout vulnerability in the SMM driver in UsbLegacyControlSmm leads to possible arbitrary code execution in SMM and escalation of privileges. An attacker could overwrite the function pointers in the EFI_BOOT_SERVICES table before the USB SMI handler triggers. (This is not exploitable from code running in the operating system.)

 References:
https://www.insyde.com/security-pledge
https://www.insyde.com/security-pledge/SA-2022031
https://binarly.io/advisories/BRLY-2022-022/index.html

Copyright 2022, cxsecurity.com

 

Back to Top